Bug 819589 - Scheduled Syncing Failure
Scheduled Syncing Failure
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
i386 Linux
unspecified Severity medium
: ---
: 2.4.0
Assigned To: Mike McCune
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 12:11 EDT by Tim Stella
Modified: 2014-08-09 02:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:56:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Stella 2012-05-07 12:11:29 EDT
Description of problem:

Scheduled Syncs attempt to run at the time specified, but fail with the following error:

https://gist.github.com/5a05d11aa6a93b485b46



Version-Release number of selected component (if applicable):

1.0.4-1 on CentOS 5 i386

How reproducible:

Not sure

Steps to Reproduce:
1. Install pulp
2. Set up a repository 
3. Set up a sync schedule
  
Actual results:

Sync fails

Expected results:

Sync works ;)

Additional info: 
Per our discussion in IRC, here are all the pastes related

mic output:
https://raw.github.com/gist/bf9d3179f2fc3aa0ccdc/025a2606c7e8efe80b74e95bfd5a0eae33a76f79/gistfile1.txt

Package versions:
pymongo-1.9-8.el5
mongodb-server-1.6.4-1.el5
mongodb-1.6.4-1.el5
pulp-client-lib-1.0.4-1
pulp-common-1.0.4-1
mod_wsgi-3.3-3.pulp
python-isodate-0.4.4-4.pulp
pulp-1.0.4-1
pulp-admin-1.0.4-1
Comment 1 Jason Connor 2013-09-17 17:34:41 EDT
The was inadvertently solved when fixing #959031 and #968524
Fix in commit 51c93ef6371dfb57b12f917e4b2d1103354a5720
Comment 2 Randy Barlow 2014-03-17 18:01:29 EDT
I believe this was fixed in the 2.3.0 release.
Comment 4 Preethi Thomas 2014-05-20 10:55:39 EDT
verified
[root@cisco-b420m3-01 ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.16.beta.fc20.noarch
[root@cisco-b420m3-01 ~]# 

[root@cisco-b420m3-01 ~]# pulp-admin rpm repo sync schedules create -s 2014-05-20T01:30:00Z/PT1H --repo-id F20
Schedule successfully created

[root@cisco-b420m3-01 ~]# 


.> resource_manager@cisco-b420m3-01.rhts.eng.bos.redhat.com.dq exchange=C.dq(direct) key=resource_manager@cisco-b420m3-01.rhts.eng.bos.redhat.com
celery.worker.consumer:INFO: Connected to qpid://guest@127.0.0.1:5672//
celery.beat:INFO: Scheduler: Sending due task 537b6aef952d366c2fbada63 (pulp.server.tasks.repository.sync_with_auto_publish)

celery.worker.strategy:INFO: Received task: pulp.server.tasks.repository.sync_with_auto_publish[fe5b65b9-713a-4f82-8b44-b71b6531297e]
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): download.eng.bos.redhat.com
Comment 5 Randy Barlow 2014-08-09 02:56:45 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.